
QGIS Application - Bug report #4237

Disabling line layer editing without finishing line leaves a ghost line object (even in new projects!)

2011-08-29 09:48 PM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 14189

Description

Steps to reproduce:

1) Add a vector line layer (shapefile);

2) Enable editing;

3) Start to draw a line;

4) Disable editing;

Unfinished line is still here

5) Click on "New Project";

Unfinished line is still here

6) Add a new, different vector line layer;

Unfinished line is still here

7) Enable editing;

8) Start to digitize a new line

QGIS continues to digitize old "ghost" line from previous project! Or should it be called "zombie" line, as it can not be killed?

Tested on 1.7.0 and trunk (or how it's called now?) on ~AMD64 Gentoo.

Associated revisions

Revision 479e3cb7 - 2017-08-13 02:21 PM - Sebastian Dietrich 

Reset digitizing tools when new project is loaded/created

Refs #4237 https://issues.qgis.org/issues/4237

History

#1 - 2011-11-12 05:51 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#2 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#3 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#4 - 2011-12-24 07:17 AM - Giovanni Manghi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Subject changed from Disabling line layer editing without finishing line leaves a ghost line object to Disabling line layer editing without finishing line 
leaves a ghost line object (even in new projects!)

- Category changed from Vectors to Digitising

Confirmed on master and 1.7.3 under both Windows and Linux.

#5 - 2012-01-13 06:29 AM - Paolo Cavallini

- Priority changed from High to Normal

#6 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#7 - 2012-09-04 11:58 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2013-08-03 10:23 PM - marisn -

Issue is still present in 1.9.0-master (e3b8b41) still it has changed a bit as now digized line in the new project is not visible at all and QGIS reports line

intersecting itself all the time on every click...

#9 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#10 - 2015-04-09 10:26 PM - Denis Rouzaud

see https://github.com/qgis/QGIS/pull/1985

#11 - 2015-12-04 01:40 AM - Médéric RIBREUX

Hello, bug triage...

everything is still true in QGIS 2.13 master, the PR hasn't been applied.

#12 - 2015-12-05 02:24 AM - Sebastian Dietrich

See PR 2540 for a solution.

#13 - 2016-01-13 01:50 PM - Sebastian Dietrich

- Pull Request or Patch supplied changed from No to Yes

- % Done changed from 0 to 50

#14 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#15 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life
End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
